/*****************************************************************
 *
 * abstract class representing a local function in a function node
 *
 *****************************************************************/
 
#ifndef LOCALFUNCTION_H
#define LOCALFUNCTION_H

class LocalFunction {

public:
  
  //virtual mehtod to be implemented by subclasses. getResul should return the function value for a given variableValues[]
  virtual double getResult(const int *args, int length) = 0;

};

#endif
