#include "ChannelTransition.h"
#include "VariableNode.h"
#include <math.h>
#include <stdio.h>
#include <iostream.h>
//#include <iomanip.h>

ChannelTransition::ChannelTransition(const char *name, int id) :
  FunctionNode(name, id, 1, NULL) { }

void ChannelTransition::setProbabilities(double *probabilities) {
  int size = (*(VariableNode*)neighbours[0]).getSize();
  if(size!=2) {cout<<"Error in void ChannelTransition::setProbabilities"<<endl;exit(-1);}
  if (outMessages[0] != NULL) {
    delete [] outMessages[0];
  }
  outMessages[0] = new double[size];

  for (int i = 0; i < size; i++) {
    outMessages[0][i] = probabilities[i];
  }
  outMessages[0][0]=log(probabilities[0]/probabilities[1]);//LLR
  //cout<<setprecision(10)<<outMessages[0][0]<<endl;
}


ChannelTransition::~ChannelTransition() {
  delete [] outMessages[0];
  outMessages[0]=NULL;
}
